Bug 13181 - Fail to copy file with empty FinderInfo from Windows client to Samba share with fruit
Fail to copy file with empty FinderInfo from Windows client to Samba share wi...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-07 16:55 UTC by Ralph Böhme
Modified: 2018-01-31 09:44 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.7 cherry-picked from master (16.49 KB, patch)
2018-01-16 09:56 UTC, Ralph Böhme
jra: review+
Details
Patch for 4.6 backported from master (16.41 KB, patch)
2018-01-16 09:57 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-12-07 16:55:32 UTC
Alas, a Mac client wouldn't do this, but what can you do?

Currently when the client sends a AFP_AfpInfo stream where the contained FinderInfo blob is all 0, vfs_fruit will somewhat hackish delete the stream from the backing store. This causes subsequent operations on the same filehandle to fail for certain operations, also depending on the setting of fruit:metadata.

The correct implementation of the stream removal would be setting delete-on-close on the filehandle, while at the same time checking in delete-on-close is set in the stream-listing function.

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2018-01-16 09:56:20 UTC
Created attachment 13910 [details]
Patch for 4.7 cherry-picked from master
Comment 2 Ralph Böhme 2018-01-16 09:57:51 UTC
Created attachment 13911 [details]
Patch for 4.6 backported from master
Comment 3 Jeremy Allison 2018-01-16 21:03:07 UTC
Re-assigning to Karolin for inclusion in 4.7.next, 4.6.next.
Comment 4 Karolin Seeger 2018-01-25 14:05:39 UTC
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2018-01-31 09:44:14 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!